Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0041217
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformtrivialrandom2019-07-02 08:442019-08-22 14:44
ReporteralostaleView Statuspublic 
Assigned Toalostale 
PrioritynormalResolutionfixedFixed in Version3.0PR19Q4
StatusclosedFix in branchFixed in SCM revision45e82884424e
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tocaristu
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0041217: error logged while logging out.

DescriptionWhen logging out/in an error message can randomly appear in openbravo.log. This can be caused in a request was already done in parallel to log out one (ie. alert ping).

 https://ci.openbravo.com/job/qa-pi-aprinreg2-pgsql/487/ [^]
Steps To ReproduceThis is a random issue, not easy to reproduce:
1. Log in and log out several times
  -> check openbravo.log:
2019-06-06 01:35:00,080 [http-2] ERROR org.openbravo.dal.core.ThreadHandler - setAttribute: Session [47E621225806CB813B70566A80B628FE] has already been invalida
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks design defect 0036162 acknowledgedplatform clean up openbravo.log 

-  Notes
(0113134)
hgbot (developer)
2019-07-02 09:11

Repository: erp/devel/pi
Changeset: 9b557b1d5bf458390500ce8207c999028ef73f91
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Tue Jul 02 08:51:03 2019 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/9b557b1d5bf458390500ce8207c999028ef73f91 [^]

related to issue 41217: code cleanup
  - removes some clutter
  - adds JavaDoc

---
M src-core/src/org/openbravo/utils/SessionExpirationFilter.java
---
(0113135)
hgbot (developer)
2019-07-02 09:11

Repository: erp/devel/pi
Changeset: 45e82884424e5894414eb1da45fa93153d74388a
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Tue Jul 02 08:57:38 2019 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/45e82884424e5894414eb1da45fa93153d74388a [^]

fixed issue 41217: error logged while logging out

  An error was logged while SessionExpirationFilter tried to read/write attibutes
  from a session that was already invalidated.

  Now this case is taken into account and ignored.

---
M src-core/src/org/openbravo/utils/SessionExpirationFilter.java
---
(0113654)
caristu (developer)
2019-07-26 08:20

Reviewed
(0114130)
hudsonbot (developer)
2019-08-22 14:44

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/ad3efd3bd07c [^]
Maturity status: Test
(0114131)
hudsonbot (developer)
2019-08-22 14:44

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/ad3efd3bd07c [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-07-02 08:44 alostale New Issue
2019-07-02 08:44 alostale Assigned To => alostale
2019-07-02 08:44 alostale Modules => Core
2019-07-02 08:44 alostale Triggers an Emergency Pack => No
2019-07-02 09:11 hgbot Checkin
2019-07-02 09:11 hgbot Note Added: 0113134
2019-07-02 09:11 hgbot Checkin
2019-07-02 09:11 hgbot Note Added: 0113135
2019-07-02 09:11 hgbot Status new => resolved
2019-07-02 09:11 hgbot Resolution open => fixed
2019-07-02 09:11 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/45e82884424e5894414eb1da45fa93153d74388a [^]
2019-07-02 09:12 alostale Review Assigned To => caristu
2019-07-02 09:15 alostale Relationship added blocks 0036162
2019-07-26 08:20 caristu Note Added: 0113654
2019-07-26 08:20 caristu Status resolved => closed
2019-07-26 08:20 caristu Fixed in Version => 3.0PR19Q4
2019-08-22 14:44 hudsonbot Checkin
2019-08-22 14:44 hudsonbot Note Added: 0114130
2019-08-22 14:44 hudsonbot Checkin
2019-08-22 14:44 hudsonbot Note Added: 0114131


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker